%global momorel 1
%global qtver 3.3.7
%global kdever 3.5.8
%global kdelibsrel 1m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global srcname kmymoney2
%global enable_gcc_check_and_hidden_visibility 0
%global md5sum_src0 3b31f026b6065ce65a1948fb91e804d0

Summary: Personal finance manager for KDE
Name: kmymoney
Version: 0.8.8
Release: %{momorel}m%{?dist}
License: GPLv2
URL: http://kmymoney2.sourceforge.net/
Group: Applications/Productivity
%NoSource 0 http://dl.sourceforge.net/sourceforge/%{srcname}/%{srcname}-%{version}.tar.bz2 %{md5sum_src0}
Patch0: %{name}-0.8.7-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: desktop-file-utils
BuildPreReq: gettext
BuildPreReq: ghostscript
BuildPreReq: gzip
BuildPreReq: kbanking-devel
BuildPreReq: libofx-devel
BuildPreReq: libxml2-devel
BuildPreReq: openjade

%description
KMyMoney is striving to be a full-featured replacement for your
Windows-based finance software.  We are a full double-entry accounting
software package, for personal or small-business use.

%prep
%setup -q -n %{srcname}-%{version}

%patch0 -p1 -b .desktop~

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--with-qt-libraries=%{qtdir}/lib \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--enable-pdf-docs \
	--enable-ofxplugin \
	--enable-ofxbanking \
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/kmymoney2.png %{buildroot}%{_datadir}/pixmaps/kmymoney2.png

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --add-category KDE \
  --add-category Qt \
  %{buildroot}%{_datadir}/applications/kde/kmymoney2.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog* INSTALL README* TODO
%{_bindir}/kmymoney
%{_bindir}/kmymoney2
%{_includedir}/kmymoney
%{_libdir}/kde3/kmm_kbanking.la
%{_libdir}/kde3/kmm_kbanking.so
%{_libdir}/kde3/kmm_ofximport.la
%{_libdir}/kde3/kmm_ofximport.so
%{_libdir}/libkmm_*.la
%{_libdir}/libkmm_*.so*
%{_datadir}/applications/kde/kmymoney2.desktop
%{_datadir}/apps/kmm_kbanking
%{_datadir}/apps/kmymoney2
%{_datadir}/doc/HTML/*/kmymoney2
%{_datadir}/icons/*/*/*/*.png
%{_datadir}/locale/*/LC_MESSAGES/kmymoney2.mo
%{_mandir}/man1/kmymoney2.1*
%{_datadir}/mimelnk/application/x-kmymoney2.desktop
%{_datadir}/pixmaps/kmymoney2.png
%{_datadir}/services/kmm_kbanking.desktop
%{_datadir}/services/kmm_ofximport.desktop
%{_datadir}/servicetypes/kmymoney*.desktop

%changelog
* Sun Dec 23 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.8-1m)
- version 0.8.8
- License: GPLv2

* Thu Jul 26 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.7-1m)
- version 0.8.7

* Mon Apr 16 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.6-2m)
- enable OFX support

* Sun Mar 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.6-1m)
- initial package for Momonga Linux
